class ReportNotFound {
    constructor() {
        this.title = 'Relatório não encontrado';
        this.description = 'Parece que você tentou acessar um relatório que não se encontra mais disponível.';
        this.suggestion = 'Tente gerar o relatório novamente';
    }
    getStyleSheet() {
        return `
      <style>
        .title {
          margin: 0;
          font-size: 1.75rem;
        }
        .title, .description {
          color: #777777;
        }
        .description {
          font-size: 1.25rem;
          max-width: max(30%, 300px);
          display: flex;
          flex-direction: column;
          gap: 1rem;
        }
        .description > span {
          text-align: center;
        }
        .img {
          width: 100px;
        }
        html {
          overflow: hidden;
          font-family: "Roboto", sans-serif;
        }
        body {
          gap: 2rem;
          display: flex;
          flex-direction: column;
          height: 100%;
          width: 100%;
          background-color: #F8F8F8;
          justify-content: center;
          align-items: center;
        }
      </style>
    `;
    }
    getIcon() {
        return `
      <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24">
        <title>file-document-remove-outline</title>
        <path
          fill="#777777"
          d="M22.54 21.12L20.41 19L22.54 16.88L21.12 15.46L19 17.59L16.88 
              15.46L15.46 16.88L17.59 19L15.46 21.12L16.88 22.54L19 20.41L21.12 
              22.54M6 2C4.89 2 4 2.9 4 4V20C4 21.11 4.89 22 6 22H13.81C13.45 
              21.38 13.2 20.7 13.08 20H6V4H13V9H18V13.08C18.33 13.03 18.67 13 
              19 13C19.34 13 19.67 13.03 20 13.08V8L14 2M8 12V14H16V12M8 
              16V18H13V16Z" 
        />
      </svg>
    `;
    }
    getPage() {
        return `
    <html>
          <head>
            ${this.getStyleSheet()}
          </head>
          <body>
            <div class="img">
              ${this.getIcon()}
            </div>

            <h3 class="title">${this.title}</h3>

            <div class="description">
              <span>${this.description}</span>
              <br>
              <span>${this.suggestion}</span>
            </div>
          </body>
        </html>
    `;
    }
}
const instance = new ReportNotFound();
export { instance as ReportNotFound };
export default instance;
